package org.eclipse.jdt.internal.compiler.classfmt;

package .tmp;

import org.eclipse.jdt.core.compiler.CharOperation;
import org.eclipse.jdt.internal.compiler.classfmt.ElementValuePairInfo;
import org.eclipse.jdt.internal.compiler.classfmt.ExternalAnnotationProvider;
import org.eclipse.jdt.internal.compiler.env.IBinaryAnnotation;
import org.eclipse.jdt.internal.compiler.env.IBinaryElementValuePair;

abstract class SingleMarkerAnnotation implements IBinaryAnnotation {
  public IBinaryElementValuePair[] getElementValuePairs() {
    return (IBinaryElementValuePair[])ElementValuePairInfo.NoMembers;
  }
  
  protected char[] getBinaryTypeName(char[][] name) {
    return CharOperation.concat('L', CharOperation.concatWith(name, '/'), ';');
  }
}
